## numpydoc 1.2

=== doc/requirements.txt ===
numpy
matplotlib
pydata-sphinx-theme
sphinx>2

## numpydoc 0.4

=== debian/changelog ===
numpydoc (0.4-1) unstable; urgency=low

  * Initial release (Closes: #559916)

 -- Denis Laxalde <denis@laxalde.org>  Wed, 06 Jun 2012 15:20:20 -0400

=== debian/control ===
Source: numpydoc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Denis Laxalde <denis@laxalde.org>
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 8), python-nose, python-sphinx (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: https://github.com/numpy/numpy/tree/master/doc/sphinxext
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/numpydoc/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/numpydoc/trunk/

Package: python-numpydoc
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-sphinx (>= 1.0.1)
Suggests: python-matplotlib
Description: Sphinx extension to support docstrings in Numpy format
 This package defines several extensions for the Sphinx documentation
 system, shipped in the numpydoc Python package. In particular, these provide
 support for the Numpy docstring format in Sphinx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)

%:
	dh $@ --with python2

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	nosetests-$* tests/test_docscrape.py

override_dh_auto_test: $(PYTHON2:%=test-python%)
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/n/numpydoc/numpydoc-([0-9a-z.]*)\.tar\.gz

## numpydoc 0.5

=== debian/changelog ===
numpydoc (0.5-2) unstable; urgency=medium

  * Update debian/copyright to mention all source files and license short
    names; switch to BSD license for the Debian packaging to be consistent
    with upstream (Closes: #803188).

 -- Denis Laxalde <denis@laxalde.org>  Wed, 28 Oct 2015 10:33:01 -0400

numpydoc (0.5-1) unstable; urgency=medium

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Denis Laxalde ]
  * New upstream release (Closes: #801947).
  * Build python3 package as it's now supported upstream
  * debian/control:
    + Build-Depends on python-setuptools
    + Update Homepage (numpydoc is not anymore within numpy's source tree)
    + Update Standards-Version (no change needed)
  * debian/rules: use pybuild.
  * Drop clean-setup patch (included upstream)

  [ Barry Warsaw ]
  * debian/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Tue, 27 Oct 2015 15:53:53 -0400

=== debian/control ===
Source: numpydoc
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Denis Laxalde <denis@laxalde.org>
Build-Depends: python-all (>= 2.6.6-3),
  python3-all (>= 3.3),
  debhelper (>= 9),
  python-setuptools,
  python3-setuptools,
  python-nose,
  python3-nose,
  python-sphinx (>= 1.0.1),
  python3-sphinx (>= 1.0.1),
  python-matplotlib,
  python3-matplotlib,
Standards-Version: 3.9.6
Homepage: https://github.com/numpy/numpydoc
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: git://anonscm.debian.org/python-modules/packages/numpydoc.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/numpydoc.git

Package: python-numpydoc
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-sphinx (>= 1.0.1)
Suggests: python-matplotlib
Description: Sphinx extension to support docstrings in Numpy format
 This package defines several extensions for the Sphinx documentation
 system, shipped in the numpydoc Python package. In particular, these provide
 support for the Numpy docstring format in Sphinx.

Package: python3-numpydoc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-sphinx (>= 1.0.1)
Suggests: python3-matplotlib
Description: Sphinx extension to support docstrings in Numpy format -- Python3
 This package defines several extensions for the Sphinx documentation
 system, shipped in the numpydoc Python package. In particular, these provide
 support for the Numpy docstring format in Sphinx.
 .
 This package provides the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=numpydoc

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/numpydoc/numpydoc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## numpydoc 0.6.0+ds1

=== debian/changelog ===
numpydoc (0.6.0+ds1-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Ghislain Antony Vaillant ]
  * Filter the vendored copy of sphinx.ext.linkcode from the upstream tarball
  * New upstream release
  * Update copyright file
  * Bump versioned depends on Python to 2.7 and 3.4
  * Bump standards version to 3.9.8, no changes required
  * Add autopkgtest testsuite for the packaging
  * Rearrange copyright paragraphs to fix Lintian warnings
  * Add missing build dependency on dh-python
  * Improve description of the Python 2 binary package
  * cme fix dpkg-control:
    - Drop versioned dependency on python-all
    - Drop versioned dependency on python[,3]-sphinx
    - Wrap and sort
  * cme fix dpkg-copyright: use HTTPS URI in Format field

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 29 Dec 2016 13:46:10 +0000

=== debian/control ===
Source: numpydoc
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Denis Laxalde <denis@laxalde.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-matplotlib,
               python-nose,
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.4),
               python3-matplotlib,
               python3-nose,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/numpydoc.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/numpydoc.git
Homepage: https://github.com/numpy/numpydoc
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-numpydoc
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-sphinx
Suggests: python-matplotlib
Description: Sphinx extension to support docstrings in Numpy format -- Python 2
 This package defines several extensions for the Sphinx documentation
 system, shipped in the numpydoc Python package. In particular, these provide
 support for the Numpy docstring format in Sphinx.
 .
 This package provides the Python 2 version.

Package: python3-numpydoc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-sphinx
Suggests: python3-matplotlib
Description: Sphinx extension to support docstrings in Numpy format -- Python3
 This package defines several extensions for the Sphinx documentation
 system, shipped in the numpydoc Python package. In particular, these provide
 support for the Numpy docstring format in Sphinx.
 .
 This package provides the Python 3 version.

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP
 ; python -m nose numpydoc
Depends: python-matplotlib, python-nose, python-numpydoc
Restrictions: allow-stderr

Test-Command: cd $AUTOPKGTEST_TMP
 ; python3 -m nose numpydoc
Depends: python3-matplotlib, python3-nose, python3-numpydoc
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/numpydoc/numpydoc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## numpydoc 0.7.0

=== debian/changelog ===
numpydoc (0.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937168

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 22:43:34 -0500

numpydoc (0.7.0-1) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Upgrade watch file to version 4
  * Switch from git-dpm to gbp
  * New upstream version 0.7.0
  * Add new build dependency on jinja2
  * Drop explicit dependency on Sphinx
  * Drop matplotlib from Suggests
  * No more repack required
  * Update copyright information
  * Use secure Source URI in copyright
  * Bump debhelper version to 10, no changes required
  * Bump standards version to 4.0.0, no changes required
  * Normalize the Vcs-Browser URI
  * Run DEP-8 tests for all Python versions
  * Add support for the nocheck build profile

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 12 Jul 2017 19:12:11 +0100

=== debian/control ===
Source: numpydoc
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Denis Laxalde <denis@laxalde.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all (>= 3.4),
               python3-jinja2 <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-nose <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nocheck>
Standards-Version: 4.0.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/numpydoc
Vcs-Git: https://salsa.debian.org/python-team/modules/numpydoc.git
Homepage: https://github.com/numpy/numpydoc

Package: python3-numpydoc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Sphinx extension to support docstrings in Numpy format -- Python3
 This package defines several extensions for the Sphinx documentation
 system, shipped in the numpydoc Python package. In particular, these provide
 support for the Numpy docstring format in Sphinx.
 .
 This package provides the Python 3 version.

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,9 @@
 
 export PYBUILD_NAME=numpydoc
 
+ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
+export PYBUILD_DISABLE=test
+endif
+
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose numpydoc
 ; done
Depends: python3-all,
         python3-matplotlib,
         python3-nose,
         python3-numpydoc
Restrictions: allow-stderr

## numpydoc 1.1.0

=== debian/changelog ===
numpydoc (1.1.0-3) unstable; urgency=medium

  * Team upload

  * Remove .coverage and junit-results.xml from build result (Closes: #965362)

 -- Christian Kastner <ckk@debian.org>  Thu, 27 Aug 2020 00:18:59 +0200

numpydoc (1.1.0-2) unstable; urgency=medium

  * Team upload

  * Add python3-sphinx, python3-doc to d/tests/control
    Resolves a debci regression.
  * Add Rules-Requires-Root: no

 -- Christian Kastner <ckk@debian.org>  Mon, 20 Jul 2020 09:59:46 +0200

numpydoc (1.1.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Christian Kastner ]
  * New upstream version 1.1.0
  * Switch from nose to pytest
  * Add Use-system-inventory.patch
  * Add python3-doc to Build-Depends
  * Add lintian overrides for source-is-missing
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Add Repository, -Browse to upstream metadata

 -- Christian Kastner <ckk@debian.org>  Sun, 19 Jul 2020 11:15:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Uploaders: Denis Laxalde <denis@laxalde.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all (>= 3.4),
+               python3-setuptools,
                python3-jinja2 <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-nose <!nocheck>,
-               python3-setuptools,
-               python3-sphinx <!nocheck>
-Standards-Version: 4.0.0
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-sphinx <!nocheck>,
+               python3-doc <!nodoc>,
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/numpydoc
 Vcs-Git: https://salsa.debian.org/python-team/modules/numpydoc.git
 Homepage: https://github.com/numpy/numpydoc

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,10 @@
 export PYBUILD_DISABLE=test
 endif
 
+override_dh_auto_install:
+	find .pybuild -name '.coverage' -delete
+	find .pybuild -name 'junit-results.xml' -delete
+	dh_auto_install
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest --pyargs numpydoc
 ; done
Depends: python3-all,
         python3-matplotlib,
         python3-pytest,
         python3-pytest-cov,
         python3-numpydoc,
	 python3-sphinx,
	 python3-doc,
Restrictions: allow-stderr

## numpydoc 1.2

=== debian/changelog ===
numpydoc (1.2-1) unstable; urgency=medium

  * Team upload

  * New upstream release.
    - Refresh patches
    - Drop obsolete source lintian overrides
  * Update Maintainer, Vcs-* to reflect Python Teams merger
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/rules no longer needs explicit DEB_BUILD_PROFILES
  * Bump debhelper compatibility level to 13

 -- Christian Kastner <ckk@debian.org>  Fri, 18 Feb 2022 09:39:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: numpydoc
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Denis Laxalde <denis@laxalde.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all (>= 3.4),
@@ -15,9 +15,9 @@
                python3-sphinx <!nocheck>,
                python3-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/numpydoc
-Vcs-Git: https://salsa.debian.org/python-team/modules/numpydoc.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/numpydoc
+Vcs-Git: https://salsa.debian.org/python-team/packages/numpydoc.git
 Homepage: https://github.com/numpy/numpydoc
 
 Package: python3-numpydoc

## numpydoc 1.3.1

=== debian/changelog ===
numpydoc (1.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 23 May 2022 03:57:37 +0000

numpydoc (1.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Wed, 30 Mar 2022 21:34:02 +0000

## numpydoc 1.4.0

=== debian/changelog ===
numpydoc (1.4.0-1) unstable; urgency=medium

  [ Chiara Marmo ]
  * Team upload.
  * New upstream release (Closes: #1013376).
  * Bump standards version to 4.6.1.
  * Refresh patches.

  [ Jeroen Ploemen ]
  * Copyright: update upstream years, copyright holders and license.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 05 Sep 2022 08:58:24 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-sphinx <!nocheck>,
                python3-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/numpydoc
 Vcs-Git: https://salsa.debian.org/python-team/packages/numpydoc.git
 Homepage: https://github.com/numpy/numpydoc

## numpydoc 1.5.0

=== debian/changelog ===
numpydoc (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Fri, 21 Oct 2022 07:48:48 +0000

numpydoc (1.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and python3-all.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:49:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
-               python3-all (>= 3.4),
+               python3-all,
                python3-setuptools,
                python3-jinja2 <!nocheck>,
                python3-matplotlib <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 export PYBUILD_NAME=numpydoc
 
-ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
-export PYBUILD_DISABLE=test
-endif
-
 override_dh_auto_install:
 	find .pybuild -name '.coverage' -delete
 	find .pybuild -name 'junit-results.xml' -delete

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/numpydoc/numpydoc@ANY_VERSION@@ARCHIVE_EXT@

## numpydoc 1.6.0

=== debian/changelog ===
numpydoc (1.6.0-2) unstable; urgency=medium

  * Team upload
  * Restore test dependency on python3-doc (Closes: #1061229)

 -- Graham Inggs <ginggs@debian.org>  Thu, 28 Mar 2024 13:44:50 +0000

numpydoc (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to a pyproject only build.
  * Patch DeprecationWarning with 3.12, (Closes: #1056431).

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 15 Jan 2024 13:40:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: numpydoc
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Denis Laxalde <denis@laxalde.org>
+Uploaders: Denis Laxalde <denis@laxalde.org>, Chiara Marmo <marmochiaskl@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
                python3-jinja2 <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nocheck>,
                python3-doc <!nodoc>,
+               python3-tabulate,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/numpydoc
 Vcs-Git: https://salsa.debian.org/python-team/packages/numpydoc.git
 Homepage: https://github.com/numpy/numpydoc

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,8 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+clean::
+	dh_clean
+	-rm -rf __pycache__ build .pybuild annexremote.egg-info dist
+	-find . -name __pycache__ -type d -exec rm -rf {} \;

## numpydoc 1.8.0

=== debian/changelog ===
numpydoc (1.8.0-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream patch to make the tests pass with Sphinx 8.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 May 2025 14:18:18 +0300

numpydoc (1.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.8.0
  * Refresh patches
  * App upstream patch for Sphinx 8.1 compatibility
  * Re-add dependency on pytho3-setuptools (Closes: #1080684)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Nov 2024 23:35:10 +0100

=== debian/tests/control ===
Test-Command: set -e; for p in $(py3versions -s); do $p -m pytest numpydoc/; done
Depends: @,
         python3-all,
         python3-doc,
         python3-pytest,
         python3-pytest-cov,
         python3-bs4

## numpydoc 1.9.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -nWT --keep-going
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  show       to show the generated HTML"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/*

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/project-template.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/project-template.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/project-template"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/project-template"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

show:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/$(BUILDDIR)/html/index.html')"

=== debian/changelog ===
numpydoc (1.9.0-2) unstable; urgency=medium

  * Team upload.
  * Add debian/salsa-ci.yml
  * Run "cme fix dpkg-control", bump Standards-Version to 4.7.3
  * Trim d/rules
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Thu, 05 Feb 2026 12:12:22 +0100

numpydoc (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove python3-tabulate build-dependency, no longer needed.
  * Drop patches, included in the new release:
    - pr586.patch
    - sphinx-8.2.patch
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Aug 2025 10:01:01 +0300

=== debian/control ===
Source: numpydoc
Standards-Version: 4.7.3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Denis Laxalde <denis@laxalde.org>,
 Chiara Marmo <marmochiaskl@gmail.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-jinja2 <!nocheck>,
 python3-matplotlib <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nocheck>,
 python3-doc <!nodoc>,
Vcs-Browser: https://salsa.debian.org/python-team/packages/numpydoc
Vcs-Git: https://salsa.debian.org/python-team/packages/numpydoc.git
Homepage: https://github.com/numpy/numpydoc

Package: python3-numpydoc
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx extension to support docstrings in Numpy format -- Python3
 This package defines several extensions for the Sphinx documentation
 system, shipped in the numpydoc Python package. In particular, these provide
 support for the Numpy docstring format in Sphinx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=numpydoc

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_install:
	find .pybuild -name '.coverage' -delete
	find .pybuild -name 'junit-results.xml' -delete

=== debian/watch ===
Version: 5

Template: Pypi
Dist: numpydoc
Dversion-Mangle: auto
